PHP, which stands for PHP: Hypertext Preprocessor, is among the most popular dynamic programming languages that are available out there. Any site or Internet app built using PHP will run on a given web server on the condition that a PHP module is enabled, which renders the language really universal and it isn’t really that surprising that there are actually several million web servers that support it and 100s of millions of PHP-powered sites hosted on them. What makes PHP preferred over HTML is the fact that it enables you to build an interactive website with loads of different options. A PHP-based community portal, for instance, will serve different content to each user although the URL will stay unchanged. On the other hand, HTML-based sites are static and the page content can be updated only manually. Just like any other software program, PHP has several versions and the one that was used whilst developing a specific website must be configured on the server in order for the site to behave correctly.

PHP 4 and PHP 5 Support in Website Hosting

Our website hosting servers support several PHP versions, which suggests that your sites will run without any problems no matter if your PHP scripts are outdated. We know that an old website doesn’t automatically mean a vulnerable one as you may have carried out lots of mods to its source code. That is why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can select which version will be enabled for your shared web hosting account. You can change the version with only one single mouse click from your Hepsia Control Panel and the new settings will be applied immediately. If you would like to run both older and newer scripts, there is even an option to use a different PHP version for each domain of yours simultaneously.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

Our semi-dedicated packages support multiple versions of PHP, so you will be able to run all the web apps that you have set up throughout the years. The Hepsia Control Panel, which comes with each and every semi-dedicated account, will enable you to set the required version with only one click. You can choose between PHP 4, 5.2, 5.3, 5.4 and 5.5. If you wish to host multiple sites under a single account and they have special requirements in regards to the hosting environment, you will be able to set a different PHP version for each and every one of them no matter which version is selected for the account as a whole. That’s accomplishable thanks to our custom-developed cloud platform, which allows us to run different versions of PHP concurrently. In comparison, the great majority of web hosting suppliers normally offer one, in very rare cases – two versions.